6.0.0-git
2019-03-23

[#13056] Parent task make sort by date impossible
Summary Parent task make sort by date impossible
Queue Nag
Queue Version Git master
Type Enhancement
State Rejected
Priority 2. Medium
Owners
Requester samuel.wolf (at) wolf-maschinenbau (dot) de
Created 2014-03-17 (1832 days ago)
Due
Updated 2016-01-27 (1151 days ago)
Assigned
Resolved 2016-01-27 (1151 days ago)
Milestone
Patch No

History
2016-01-27 17:11:32 Jan Schneider Comment #9
State ⇒ Rejected
Reply to this comment
Not reproducible
2015-10-14 10:52:09 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #8 Reply to this comment
I'll let Samuel answer, but according to *this* ticket, it's not 
about the sort being incorrect, it's about not being able to choose 
to sort on the desired column. I.e., the link to initiate the date 
sort isn't working.
That is exactly the issue, the link change in the browser but nothing 
change in the GUI.

./nag/list.php?sortby=due&sortdir=0
./nag/list.php?sortby=estimate&sortdir=0
./nag/list.php?sortby=assignee&sortdir=0

2015-10-13 14:52:46 Michael Rubinsky Comment #7 Reply to this comment
Michael,

after some invenstigation, I think I understand how Samuel reached 
his situation where sorting is not working.

I think it is partly explained by the case described in ticket 14138.
I'll let Samuel answer, but according to *this* ticket, it's not about 
the sort being incorrect, it's about not being able to choose to sort 
on the desired column. I.e., the link to initiate the date sort isn't 
working.

See comment #3.
2015-10-13 14:22:40 x (dot) van_dessel (at) ieee (dot) org Comment #6 Reply to this comment
Michael,

after some invenstigation, I think I understand how Samuel reached his 
situation where sorting is not working.

I think it is partly explained by the case described in ticket 14138.

If you define these tasks (2 parents, 2 childs):
P1
+-- C1
P2
+-- C2
and then you sort, then effectively only P1 and P2 get sorted 
depending on the column you select (Priority, Date, name, ...). Works 
great. And nobody complains about the sorting as it is logical that 
child tasks are not sorted by their attributes but rather by their 
parent.

But Samuel said he had a lot of jobs. Thus, he uses labels to group 
them, and he filters by label. Thus, as mentioned in ticket 14138, the 
relationships between P1 and C1, and between P2 and C2 is still there 
but no longer shown.
Thus, when you now sort, it seems as if the sorting does not work: the 
same sequence appears as before, but the indentation and the parent to 
child lines are gone. So you just get a flat list, and sorting seems 
to be broken.

Samuel,
can you confirm that you use label filtering when this behaviour occurs?

But there is an easy work arround for Samuel:
When you create a Smart list (via the search option, and select to 
save your query as a smart list) with the label(s) selected, then, in 
the current implementation, the output of that smart list forgets all 
parent to child relationships and thus sorting works again the native 
way: each task gets sorted by its value, disregarding any parent or 
child relationship.
I'm not sure this is the desired way of working, but that is how it 
works on version 4.2.5 of nag.

Regards,

Xavier
Do you still see this? I can't reproduce in current Git either.
Unfortunately yes, but I have a big task list :-/

horde                      5.2.3   stable
nag                        4.2.3   stable
2015-02-05 16:18:10 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #5 Reply to this comment
Do you still see this? I can't reproduce in current Git either.
Unfortunately yes, but I have a big task list :-/

horde                      5.2.3   stable
nag                        4.2.3   stable



2015-02-05 15:57:34 Michael Rubinsky Comment #4 Reply to this comment
Do you still see this? I can't reproduce in current Git either.

I can sort by any column I desire when subtasks are displayed.
2014-03-17 15:45:09 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #3
New Attachment: tasks_example.png Download
Reply to this comment
Not working for me, browser load quick but sort icon still on "Task 
List" column.
Delete the "subtask1" and _all_ columns can sort again (it is not only 
a date column problem).
2014-03-17 15:30:04 Jan Schneider Comment #2
State ⇒ Feedback
Version ⇒ Git master
Reply to this comment
Not sure what you mean, I have the tasks sorted by date all the time, 
and have many task hierarchies. Of course we keep the hierarchy even 
if sorting by date, otherwise it would be impossible to track related 
tasks.
2014-03-17 14:10:44 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 2. Medium
Summary ⇒ Parent task make sort by date impossible
Queue ⇒ Nag
Milestone ⇒
Patch ⇒ No
Reply to this comment
Sort by date does not work with "parent tasks", guess this is a logic problem.
Maybe it is possible to sort only for normal task and do not watch 
about the "partens tasks"?

Another idea?
It is nearly impossible to sort our really long task list now.

Saved Queries